#!/bin/bash

# 添加 GOPATH/bin 到 PATH
export PATH=$PATH:/usr/local/bin:$(go env GOPATH)/bin

# 进入 proto 文件目录
cd bin/client_msg

# 生成 proto 文件
protoc --go_out=. common.proto

# 创建目标目录（如果不存在）
mkdir -p ../../src/server/msg

# 移动生成的文件到目标目录
mv msg/common.pb.go ../../src/server/msg/
rm -rf msg

echo "Proto files generated and moved successfully!"
